PPanel Edge

site

由 openapi.json 自动生成的 2 个端点及其请求、响应和权限元数据。

此参考由已发布 API 契约生成。字段、请求头和权限要求如下。

下载完整 OpenAPI 文档 · SHA-256: ccaa20cec11fad96e369b88073ce3608a5b071ce55d6dc03fa31df7b0f08c525

标识符和数据结构与公开契约一致,说明直接给出调用规则。共享模型见 数据模型.

POST /api/v1/admin/site/content/publish

POST /api/v1/admin/site/content/publish

Publish the site content draft without reauthentication

{
  "parameters": [
    {
      "description": "Resource ETag; missing 428, malformed 412, stale 409.",
      "in": "header",
      "name": "If-Match",
      "required": true,
      "schema": {
        "type": "string"
      }
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "additionalProperties": false,
          "properties": {
            "draft_version": {
              "exclusiveMinimum": 0,
              "type": "integer"
            },
            "revision": {
              "exclusiveMinimum": 0,
              "type": "integer"
            }
          },
          "required": [
            "revision",
            "draft_version"
          ],
          "type": "object"
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/SettingsDocument"
          }
        }
      },
      "description": "Published site document",
      "headers": {
        "ETag": {
          "description": "Current resource version for If-Match.",
          "schema": {
            "type": "string"
          }
        }
      }
    }
  },
  "summary": "Publish the site content draft without reauthentication",
  "tags": [
    "site"
  ],
  "x-audit": "system.settings.publish",
  "x-body": "json",
  "x-body-limit": 65536,
  "x-concurrency": {
    "etag": true,
    "ifMatch": true
  },
  "x-idempotency": "required",
  "x-permission": "system.settings.publish",
  "x-rate-limit": "settings.revisions.write",
  "x-reauth": false,
  "effectiveSecurity": []
}

GET /api/v1/public/site

GET /api/v1/public/site

Public site information

{
  "parameters": [
    {
      "in": "query",
      "name": "locale",
      "required": false,
      "schema": {
        "maxLength": 35,
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/SiteInfo"
          }
        }
      },
      "description": "Site information"
    }
  },
  "summary": "Public site information",
  "tags": [
    "site"
  ],
  "x-body": "none",
  "x-body-limit": 0,
  "effectiveSecurity": []
}